В данном гайде Вы узнаете о том, как правильно установить СаурсМод и Метамод для сервера кс го.
Зачем устанавливают SourceMod и MetaMod?
Данные вспомогательные плагины позволяют устанавливать плагины для сервера кс го. Плагины делают игру интереснее, тем самым приманивая все больше и больше игроков.
Процесс установки
И так, вот у нас уже есть готовый сервер, арендованный на хостинге КС ГО. Нам необходимо провести некие манипуляции, в ходе которых мы получим сервер, готовый к наполнению интересными плагинами.
Качаем SourceMod последней версии по этой ссылке — клик После чего скаченный архив разархивируем и зальем на хостинг в раздел /csgo/
Необходимо скачать МетаМод по этой ссылке Между нами будет выбор между двумя версиями плагина: для Линукса и для Виндоуса. Выбираем тот плагин, на системе которого стоит Ваш хостинг(уточните у хостера). Полученный архив также заливаем на Ваш хостинг в папку /csgo/
Не спешите покидать сайт. На сайте MetaMod’a нам нужно получить metamod.vdf.
Установка SourceMod и Metamod для сервера кс го
Для того, чтобы получить его выберите «MakeYourVDF» в левой части сайта. Выбираем игру «CS GO» и оставляем поле «Folder» пустым, после чего кликаем по «Generate metamod.VDF». Файл скачается автоматически, а после закиньте его в папку /csgo/addons/ на Вашем хостинге сервера.
Поздравляем! Вы установили необходимые компоненты для полноценной работы Вашего сервера!
Теперь Вы можете устанавливать плагины для сервера кс го
Не забудь лайкнуть эту статью кнопками «Поделиться» справа ->>
Источник
Не работает metamod (и, как следствие, dproto)
FOREvERz
Сообщений: 18 Благодарностей: 1 Полезность: 0
Решил поднять сервер для игры по инету, поначалу вообще запускал только hlds.exe из игры и норм, но захотел по-нормальному сделать. и вот как Я уже не настраивал, с клиента по 47 протоколу на сервер отказывается заходить.. и Я решил не ставить готовый сервер 3.0, а только сам движок.. и ставил с нуля плагины, по мануалам с этого же форума. но после запуска сервера в консоли пишет:
85.1 fps 0/20 on de_dust Console initialized. Protocol version 48 Exe version 1.1.2.6 (cstrike) Exe build: 14:21:06 Mar 8 2010 (4554) STEAM Auth Server couldn’t exec language.cfg Server IP address 192.168.1.2:27016
Metamod version 1.19p32 Copyright (c) 2001-2006 Will Day Patch: Metamod-P (mm-p) v32 Copyright (c) 2004-2007 Jussi Kivilinna Metamod comes with ABSOLUTELY NO WARRANTY; for details type `meta gpl’. This is free software, and you are welcome to redistribute it under certain conditions; type `meta gpl’ for details.
couldn’t exec config.cfg couldn’t exec listip.cfg couldn’t exec banned.cfg Adding master server 69.28.151.162:27010 Adding master server 72.165.61.189:27010 Could not establish connection to Steam servers. meta list Currently loaded plugins: description stat pend file vers src load unlod [ 1] badf load metamod.dll» v — ini — — [ 2] badf load dproto.dll» v — ini — — 2 plugins, 0 running
подскажите пожалуйста, как включить этот метамод и дпрото?
!
Предупреждение: Создание темы в другой тематике раздела
Сообщений: 2509 Благодарностей: 485 Полезность:
Сообщений: 18 Благодарностей: 1 Полезность: 0
а то, что Я щас намутил, удалить?
85.3 fps 0/20 on de_dust Console initialized. Protocol version 48 Exe version 1.1.2.6 (cstrike) Exe build: 14:21:06 Mar 8 2010 (4554) STEAM Auth Server couldn’t exec language.cfg Server IP address 192.168.1.2:27016
Metamod version 1.19 Copyright (c) 2001-2006 Will Day Metamod comes with ABSOLUTELY NO WARRANTY; for details type `meta gpl’. This is free software, and you are welcome to redistribute it under certain conditions; type `meta gpl’ for details.
AMX Mod X version 1.8.1.3746 Copyright (c) 2004-2006 AMX Mod X Development Te am AMX Mod X comes with ABSOLUTELY NO WARRANTY; for details type `amxx gpl’. This is free software and you are welcome to redistribute it under certain conditions; type ‘amxx gpl’ for details.
L 12/16/2010 — 16:53:52: ——— Mapchange to de_inferno ——— [AMXX] Loaded 1 admin from file Executing AMX Mod X Configuration File Scrolling message displaying frequency: 10:00 minutes couldn’t exec config.cfg couldn’t exec listip.cfg couldn’t exec banned.cfg L 12/16/2010 — 16:53:53: ——— Mapchange to de_dust ——— [AMXX] Loaded 1 admin from file Adding master server 68.142.72.250:27010 Adding master server 72.165.61.190:27010 Executing AMX Mod X Configuration File Scrolling message displaying frequency: 10:00 minutes Menu item 17 added to Menus Front-End: «Plugin Cvars» from plugin «pluginmenu.am xx» Menu item 18 added to Menus Front-End: «Plugin Commands» from plugin «pluginmenu .amxx» Could not establish connection to Steam servers. meta list Currently loaded plugins: description stat pend file vers src load unlod [ 1] badf load metamod.dll» v — ini — — [ 2] badf load dproto.dll» v — ini — — [ 3] AMX Mod X RUN — amxmodx_mm.dll v1.8.1.3 ini Start ANY 3 plugins, 1 running
[ 1] badf load metamod.dll» v — ini — — [ 2] badf load dproto.dll» v — ini — — [ 3] AMX Mod X RUN — amxmodx_mm.dll v1.8.1.3 ini Start ANY 3 plugins, 1 running[/code]
после установки
у тебя запущен амх — без метамода он не запашет значит у тебя 2 раза он прописан 2й раз с неверным путем до файла
Ты зачем в кавычки берешь путь до дллки . И зачем в метамоде запускать метамод . не надо этого делать
Сообщений: 18 Благодарностей: 1 Полезность: 0
спасибо. Я разобрался)) ставил всё пошагово и не стало ошибок. а можете подсказать, как включить команду /me?
а ещё Я вот понять не могу, в чем проблема. при запуске и при подключении игроков в консоли пишется:
64.0 fps 0/20 on de_dust Console initialized. Protocol version 48 Exe version 1.1.2.6 (cstrike) Exe build: 14:21:06 Mar 8 2010 (4554) STEAM Auth Server couldn’t exec language.cfg Server IP address 192.168.1.2:27015 No IPX Support.
Metamod version 1.19 Copyright (c) 2001-2006 Will Day Metamod comes with ABSOLUTELY NO WARRANTY; for details type `meta gpl’. This is free software, and you are welcome to redistribute it under certain conditions; type `meta gpl’ for details.
AMX Mod X version 1.8.1.3746 Copyright (c) 2004-2006 AMX Mod X Development Te am AMX Mod X comes with ABSOLUTELY NO WARRANTY; for details type `amxx gpl’. This is free software and you are welcome to redistribute it under certain conditions; type ‘amxx gpl’ for details.
Источник
Не работает metamod cs go
Open console on mysession. ReHLDS version: 3.8.0.702-dev Build date: 18:22:55 Nov 8 2020 (2402) Build from: Fix crash MSG_ReadFloat · dreamstalker/ [email protected] Warning: failed to init SDL thread priority manager: SDL not found game version ReGameDLL version: 5.20.0.492-dev Build date: 15:26:35 Jan 4 2021 Build from: CHalfLifeMultiplay::SwapAllPlayers: Ignore HLTV · s1lentq/ [email protected] quit Tue Jan 26 16:21:14 MSK 2021: Server restart in 10 seconds
Console initialized. Using breakpad crash handler Setting breakpad minidump AppID = 10 Forcing breakpad minidump interfaces to load dlopen failed trying to load: /home/user/.steam/sdk32/steamclient.so with error: /home/user/.steam/sdk32/steamclient.so: cannot open shared object file: No such file or directory Looking up breakpad interfaces from steamclient Calling BreakpadMiniDumpSystemInit Protocol version 48 Exe version 1.1.2.7/Stdio (cstrike) Exe build: 18:22:55 Nov 8 2020 (2402) STEAM Auth Server Server IP address 95.182.122.214:27015 ReGameDLL version: 5.20.0.492-dev Executing ReGameDLL Configuration File [S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed. CAppInfoCacheReadFromDiskThread took 6 milliseconds to initialize CApplicationManagerPopulateThread took 0 milliseconds to initialize (will have waited on CAppInfoCacheReadFromDiskThread) RecordSteamInterfaceCreation (PID 1579): SteamGameServer011 / GameServer RecordSteamInterfaceCreation (PID 1579): SteamUtils005 / Utils RecordSteamInterfaceCreation (PID 1579): STEAMAPPS_INTERFACE_VERSION005 / Apps RecordSteamInterfaceCreation (PID 1579): STEAMHTTP_INTERFACE_VERSION002 / HTTP RecordSteamInterfaceCreation (PID 1579): SteamNetworking005 / Networking RecordSteamInterfaceCreation (PID 1579): SteamGameServerStats001 / GameServerStats dlopen failed trying to load: /home/user/.steam/sdk32/steamclient.so with error: /home/user/.steam/sdk32/steamclient.so: cannot open shared object file: No such file or directory Looking up breakpad interfaces from steamclient Calling BreakpadMiniDumpSystemInit
couldn’t exec listip.cfg couldn’t exec banned.cfg Connection to Steam servers successful. VAC secure mode is activated. meta version meta list Warning: failed to init SDL thread priority manager: SDL not found
version Protocol version 48 Exe version 1.1.2.7/Stdio (cstrike) ReHLDS version: 3.8.0.702-dev Build date: 18:22:55 Nov 8 2020 (2402) Build from: Fix crash MSG_ReadFloat · dreamstalker/ [email protected] game version ReGameDLL version: 5.20.0.492-dev Build date: 15:26:35 Jan 4 2021 Build from: CHalfLifeMultiplay::SwapAllPlayers: Ignore HLTV · s1lentq/ [email protected]
Помогите, пожалуйста, разобраться и ткните носом куда надо.
Сервер переустанавливал несколько раз, переустанавливал машину с debian 10 на 9 а потом 8 (на данный момент). Толку ноль. не запускается metamod
Источник
Не работает metamod
qvakfear1
Участник
kiraynko
Участник
qvakfear1
Участник
kiraynko
Участник
qvakfear1
Участник
у меня на никсе норм
kiraynko
Участник
qvakfear1
Участник
Не дало результата
«GameInfo» < game «Counter-Strike: Global Offensive» title «COUNTER-STRIKE'» title2 «GO» type multiplayer_only nomodels 1 nohimodel 1 nocrosshair 0 bots 1 hidden_maps < «test_speakers» 1 «test_hardware» 1 > nodegraph 0 SupportsXbox360 1 SupportsDX8 0 GameData «csgo.fgd»
FileSystem < SteamAppId 730 // This will mount all the GCFs we need (240=CS:S, 220=HL2). ToolsAppId 211 // Tools will load this (ie: source SDK caches) to get things like materials\debug, materials\editor, etc.
// // The code that loads this file automatically does a few things here: // // 1. For each «Game» search path, it adds a «GameBin» path, in \bin // 2. For each «Game» search path, it adds another «Game» path in front of it with _ at the end. // For example: c:\hl2\cstrike on a french machine would get a c:\hl2\cstrike_french path added to it. // 3. For the first «Game» search path, it adds a search path called «MOD». // 4. For the first «Game» search path, it adds a search path called «DEFAULT_WRITE_PATH». //
// // Search paths are relative to the base directory, which is where hl2.exe is found. // // |gameinfo_path| points at the directory where gameinfo.txt is. // We always want to mount that directory relative to gameinfo.txt, so // people can mount stuff in c:\mymod, and the main game resources are in // someplace like c:\program files\valve\steam\steamapps\ \half-life 2. // SearchPaths < GameBin |gameinfo_path|addons/metamod/bin Game |gameinfo_path|. Game csgo > > >
################################################################################## # # # Counter-Strike : Global Offensive Server Launcher v1.8 # # # # A simple script to launch your Counter-Strike : Global Offensive # # Dedicated Server. # # # # Copyright (C) 2013-2014 Cr@zy # # # # Counter-Strike : Global Offensive Server Launcher is free software; you can # # redistribute it and/or modify it under the terms of the GNU Lesser General # # Public License as published by the Free Software Foundation, either version 3 # # of the License, or (at your option) any later version. # # # # Counter-Strike : Global Offensive Server Launcher is distributed in the hope # # that it will be useful, but WITHOUT ANY WARRANTY; without even the implied # # warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # # GNU Lesser General Public License for more details. # # # # You should have received a copy of the GNU Lesser General Public License # # along with this program. If not, see http://www.gnu.org/licenses/. # # # # Related post: http://goo.gl/HFFGy # # Usage: ./csgo-server-launcher.sh # # — start: start the server # # — stop: stop the server # # — status: display the status of the server (down or up) # # — restart: restart the server # # — console: display the server console where you can enter commands. # # To exit the console without stopping the server, press CTRL + A then D. # # — update: update the server # # — create: creates a new server # # # ##################################################################################
# No edits necessary beyond this line PATH=/bin:/usr/bin:/sbin:/usr/sbin if [ ! -x `which awk` ]; then echo «ERROR: You need awk for this script (try apt-get install awk)»; exit 1; fi if [ ! -x `which screen` ]; then echo «ERROR: You need screen for this script (try apt-get install screen)»; exit 1; fi if [ ! -x `which wget` ]; then echo «ERROR: You need wget for this script (try apt-get install wget)»; exit 1; fi if [ ! -x `which tar` ]; then echo «ERROR: You need tar for this script (try apt-get install tar)»; exit 1; fi
function start < if [ ! -d $DIR_ROOT ]; then echo «ERROR: $DIR_ROOT is not a directory»; exit 1; fi if [ ! -x $DIR_ROOT/$DAEMON_GAME ]; then echo «ERROR: $DIR_ROOT/$DAEMON_GAME does not exist or is not executable»; exit 1; fi if status; then echo «$SCREEN_NAME is already running»; exit 1; fi
# Generated misc args GENERATED_ARGS=»»; if [ -z «$» -a -f $DIR_GAME/webapi_authkey.txt ]; then API_AUTHORIZATION_KEY=»`cat $DIR_GAME/webapi_authkey.txt`»; fi if [ ! -z «$» ] then GENERATED_ARGS=»-authkey $» if [ ! -z «$» ]; then GENERATED_ARGS=»$ +host_workshop_collection $«; fi if [ ! -z «$» ]; then GENERATED_ARGS=»$ +workshop_start_map $«; fi fi
# Start game PARAM_START=»$ $» echo «Start command : $PARAM_START»
if [ `whoami` = root ] then su — $USER -c «cd $DIR_ROOT ; screen -AmdS $SCREEN_NAME ./$DAEMON_GAME $PARAM_START» else cd $DIR_ROOT screen -AmdS $SCREEN_NAME ./$DAEMON_GAME $PARAM_START fi >
function stop < if ! status; then echo «$SCREEN_NAME could not be found. Probably not running.»; exit 1; fi
function update < # Create the log directory if [ ! -d $DIR_LOGS ]; then echo «$DIR_LOGS does not exist, creating. » if [ `whoami` = root ] then su — $USER -c «mkdir -p $DIR_LOGS»; else mkdir -p «$DIR_LOGS» fi fi
if [ ! -d $DIR_LOGS ] then echo «ERROR: Could not create $DIR_LOGS» exit 1 fi
# Create the game root if [ ! -d $DIR_ROOT ] then echo «$DIR_ROOT does not exist, creating. » if [ `whoami` = root ] then su — $USER -c «mkdir -p $DIR_ROOT»; else mkdir -p «$DIR_ROOT» fi fi
if [ ! -d $DIR_ROOT ] then echo «ERROR: Could not create $DIR_ROOT» exit 1 fi
if [ -z «$1» ]; then retry=0; else retry=$1; fi
if [ -z «$2» ] then if status then stop echo «Stop $SCREEN_NAME before update. » sleep 5 relaunch=1 else relaunch=0 fi else relaunch=$2 fi
# Save motd.txt before update if [ -f «$DIR_GAME/motd.txt» ]; then cp $DIR_GAME/motd.txt $DIR_GAME/motd.txt.bck; fi
echo «Starting the $SCREEN_NAME update. «
if [ `whoami` = root ] then su — $USER -c «cd $DIR_STEAMCMD ; ./steamcmd.sh $PARAM_UPDATE 2>&1 | tee $UPDATE_LOG» else cd $DIR_STEAMCMD ./steamcmd.sh $PARAM_UPDATE 2>&1 | tee $UPDATE_LOG fi
# Restore motd.txt if [ -f «$DIR_GAME/motd.txt.bck» ]; then mv $DIR_GAME/motd.txt.bck $DIR_GAME/motd.txt; fi
# Check for update if [ `egrep -ic «Success! App ‘740’ fully installed.» «$UPDATE_LOG»` -gt 0 ] || [ `egrep -ic «Success! App ‘740’ already up to date» «$UPDATE_LOG»` -gt 0 ] then echo «$SCREEN_NAME updated successfully» else if [ $retry -lt $UPDATE_RETRY ] then retry=`expr $retry + 1` echo «$SCREEN_NAME update failed. retry $retry/3. » update $retry $relaunch else echo «$SCREEN_NAME update failed. exit. » exit 1 fi fi
# Send e-mail if [ ! -z «$UPDATE_EMAIL» ]; then cat $UPDATE_LOG | mail -s «$SCREEN_NAME update for $(hostname -f)» $UPDATE_EMAIL; fi
if [ $relaunch = 1 ] then echo «Restart $SCREEN_NAME. » start sleep 5 echo «$SCREEN_NAME restarted successfully» else exit 1 fi >
function create < # IP should never exist: RFC 5735 TEST-NET-2 if [ «$IP» = «198.51.100.0» ] then echo «ERROR: You must configure the script before you create a server.» exit 1 fi
# If steamcmd already exists just install the server if [ -e «$DIR_STEAMCMD/steamcmd.sh» ] then echo «steamcmd already exists. » echo «Installing/Updating $SCREEN_NAME» update return fi
# Install steamcmd in the specified directory if [ ! -d «$DIR_STEAMCMD» ] then echo «$DIR_STEAMCMD does not exist, creating. » if [ `whoami` = «root» ] then su — $USER -c «mkdir -p $DIR_STEAMCMD» else mkdir -p $DIR_STEAMCMD fi if [ ! -d «$DIR_STEAMCMD» ] then echo «ERROR: Could not create $DIR_STEAMCMD» exit 1 fi fi
# Download steamcmd echo «Downloading steamcmd from http://media.steampowered.com/client/steamcmd_linux.tar.gz» if [ `whoami` = «root» ] then su — $USER -c «cd $DIR_STEAMCMD ; wget http://media.steampowered.com/client/steamcmd_linux.tar.gz» else cd $DIR_STEAMCMD ; wget http://media.steampowered.com/client/steamcmd_linux.tar.gz fi if [ «$?» -ne «0» ] then echo «ERROR: Unable to download steamcmd» exit 1 fi
# Extract it echo «Extracting and removing the archive» if [ `whoami` = «root» ] then su — $USER -c «cd $DIR_STEAMCMD ; tar xzvf ./steamcmd_linux.tar.gz» su — $USER -c «cd $DIR_STEAMCMD ; rm ./steamcmd_linux.tar.gz» else cd $DIR_STEAMCMD ; tar xzvf ./steamcmd_linux.tar.gz cd $DIR_STEAMCMD ; rm ./steamcmd_linux.tar.gz fi
# Did it install? if [ ! -e «$DIR_STEAMCMD/steamcmd.sh» ] then echo «ERROR: Failed to install steamcmd» exit 1 fi
# Run steamcmd for the first time to update it, telling it to quit when it is done echo «Updating steamcmd» if [ `whoami` = «root» ] then su — $USER -c «echo quit | $DIR_STEAMCMD/steamcmd.sh» else echo quit | $DIR_STEAMCMD/steamcmd.sh fi
# Done installing steamcmd, install the server echo «Done installing steamcmd. Installing the game» echo «This will take a while» update >
function usage < echo «Usage: $0 » echo «On console, press CTRL+A then D to stop the screen without stopping the server.» >